@import url("fontiran.css");

html {
    position: relative;
    min-height: 100%;
    display: flex;
}

.bg-black {
    background-color: #121212;
}

body {
    font-family: IRANSans !important;
    float: left;
    direction:rtl;
    background-position: top;
    background-size: 100%;
    background-repeat: no-repeat;
    flex: 1;
    min-height: 100% !important;
}

body:before {
    content: ' ';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    opacity: 0.1;
    background: url("/images/pattern.png");
}

body>.row {
    min-height: 100%;
}

main {
    min-height: 100%;
}

.title {
    font-family: ProductSans !important;
}

footer {
    position: relative;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    margin-top: 56px;
    font-family: Arial !important;
}

span.fa,
span.fab,
span.far,
span.fal,
span.fad {
    height: inherit;
    vertical-align: middle;
}

.row {
    margin: 0;
}

#nav-search::placeholder {
    color: #e7dc9a;
    opacity: 0.5;
}

#index-h1 {
    z-index: 5;
    position: absolute;
    top: 30%;
    left: 15.7%;
    font-size: 95px;
    font-family: BankGothic Lt BT;
    color: white;
}

#index-h3 {
    z-index: 5;
    text-align: center;
    position: absolute;
    top: 45%;
    left: 15%;
    font-size: 25px;
    font-family: BankGothic Lt BT;
    color: white;
}

#index-search:focus,
a:hover .btn-circle {
    box-shadow: inset 0px 0px 0px 2px #17a2b8 !important;
}

#course-card:hover {
    background-color: #262626 !important;
}

.dropdown:hover>.dropdown-menu {
    display: block;
}

.dropdown>.dropdown-toggle:active {
    /*Without this, clicking will make it sticky*/
    pointer-events: none;
}

.bg-dark,
.btn-dark {
    background-color: #222222 !important;
}

.hover {
    transition: transform 0.5s;
}

.hover:hover {
    transform: scale(1.02) !important;
}

#account {
    font-size: 15px;
}

#arrowAnim {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.arrow {
    width: 5vw;
    height: 5vw;
    border: 2.5vw solid;
    border-color: transparent transparent transparent transparent;
    transform: rotate(-45deg);
}

.arrowSliding {
    position: absolute;
    -webkit-animation: slide 4s linear infinite;
    animation: slide 4s linear infinite;
}

.delay1 {
    -webkit-animation-delay: 1s;
    animation-delay: 1s;
}

.delay2 {
    -webkit-animation-delay: 2s;
    animation-delay: 2s;
}

.delay3 {
    -webkit-animation-delay: 3s;
    animation-delay: 3s;
}

.arrow {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.arrow span {
    display: block;
    width: 20px;
    height: 20px;
    border-bottom: 5px solid #e7dc9a;
    border-right: 5px solid #e7dc9a;
    transform: rotate(45deg);
    margin: -10px;
    animation: animate 2s infinite;
}

.arrow span:nth-child(2) {
    animation-delay: -0.2s;
}

.arrow span:nth-child(3) {
    animation-delay: -0.4s;
}

@keyframes animate {
    0% {
        opacity: 0;
        transform: rotate(45deg) translate(-20px, -20px);
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0;
        transform: rotate(45deg) translate(20px, 20px);
    }
}

.index-carousel {
    position: fixed;
    top: 0;
    width: 100%;
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    color: #e7dc9a !important;
    background-color: transparent;
    border-right: solid 1px #e7dc9a;
    border-left: solid 1px #e7dc9a;
}

#profile_tmp {
    width: 70px !important;
}

.msg {
    background-color: transparent;
    color: red;
    position: absolute;
}

.avatar {
    width: 20px !important;
    height: 20px !important;
}

#client-menu {
    top: 0;
    z-index: 2;
}

.btn-circle {
    width: 100%;
    height: 0;
    padding-bottom: 100%;
    overflow: hidden;
}

.btn-circle * {
    display: block;
    width: 100%;
    padding-top: 50%;
    padding-bottom: 50%;
    line-height: 1em;
    margin-top: -0.5em;
    text-align: center;
}

.btn span {
    height: inherit;
    vertical-align: inherit;
}

#sidebar {
    width: 256px;
    overflow: hidden !important;
}

#sidebar>div {
    width: 256px;
    box-shadow: 0 0 1rem rgba(0, 0, 0, 0.175);
    z-index: 5;
    overflow-y: scroll !important;
}

#sidebar .list-group-item
{
    border-style: none;
    background-color: transparent;
    color: white;
}

#sidebar .list-group-item:hover
{
    border-style: none;
    background-color: white;
    color: #28a745;
}

#section-contact-us {
    background: url(/../images/pattern1.png), linear-gradient(-135deg, #28a745, #20c997, #17a2b8);
}

::selection {
    background-color: #28a745;
    color: #fff;
}

/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #28a745;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #555;
}
